=== debian/changelog ===
ros-kinetic-op3-demo (0.1.0-0xenial) xenial; urgency=high

  * first release for ROS Kinetic
  * added launch files in order to move the camera setting to op3_camera_setting package
  * added missing package in find_package()
  * refacoring to release
  * split repositoryfrom ROBOTIS-OP3
  * Contributors: Kayman, Zerom, Yoshimaru Tanaka, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 18 Apr 2018 15:00:00 -0000
